This URL allows you to get the details of all stacked Sensors.
Resource URL
sensorstack
Request Parameters
None
Response Parameters
Following fields are returned if the request parameters are correct.
Field Name | Description | Data Type |
|---|---|---|
| Displays the success status | Boolean |
| Displays the message | String |
| Displays the error message | Boolean |
| An array that contains the details of the field | Array |
| Error code | Number |
Details of fields in data:
Field Name | Description | Data Type |
|---|---|---|
| Displays the success status | Boolean |
| Displays the message | Boolean |
| Displays the error message | Boolean |
| An object that contains the details of the field | Boolean |
| Displays error code details | Number |
| Displays the HA pair name | Boolean |
| Displays the stack name | String |
| An array that contains the details of the field | Array |
| Description details | String |
| Stack ID details | Number |
| Shared secret key details | String |
| Capacity details | Number |
| Mode of download | Number |
| Assigned license details | Boolean |
| Reason for invalid license | String |
| Status of grace period | Boolean |
| Model type of stack | String |
| Device type details | String |
| Subscriber ID details | Number |
Details of fields in members:
Field Name | Description | Data Type |
|---|---|---|
| Sensor ID details | Number |
| Member ID details | Number |
| Name of the Sensor | String |
| Channel online status | Boolean |
Example
Request
GET https://<IPSM_IP>/sdkapi/sensorstack
Response
{
"success": true,
"msg": "Success",
"errMsg": null,
"data": [
{
"success": false,
"msg": null,
"errMsg": null,
"data": null,
"errorCode": 0,
"haPairName": null,
"stackName": "stack2",
"members": [
{
"sensorId": 1046,
"memberId": 1,
"sensorName": "stack2-1",
"channelStatusOnline": false
},
{
"sensorId": 1047,
"memberId": 2,
"sensorName": "stack2-2",
"channelStatusOnline": false
}
],
"description": "",
"id": 108,
"sharedsecret": "admin123",
"capacity": 120,
"downloadMode": 0,
"licenseAssigned": false,
"licenseInvalidReason": "INVALID_UNASSIGNED",
"gracePeriodActive": false,
"stackModelType": "NS9600",
"deviceType": "suricata",
"subscriberid": 0
}
],
"errorCode": 0
}Error Information
The following error code is returned by this URL:
S.No | Generic Error Codes | ErrorMessage | Error Reason |
|---|---|---|---|
1 | 1001 | Bad URL - HTTP 404 Not Found | Mistyped URL |
Internal Error – Null | Incorrect Input data, authentication issues |